package dto

import (
	"time"
)

type Heartbeat struct {
	Identifier int64
	User       int64
	CreatedAt  time.Time
	IpAddr     string
	AuthToken  string
}

type Organization struct {
	Identifier int64
	Name       string
	OwnerName  string
	OwnerPhone string
	OwnerEmail string
	CreatedAt  time.Time
	DeletedAt  *time.Time
	Authorized int64
	AuthToken  string
}

type User struct {
	Identifier   int64
	Username     string
	Password     string
	Name         string
	Email        string
	AuthToken    string
	Authorized   int64
	Admin        int64
	Organization int64
}
